# parties.search

Quickly find customers and vendors by name, legal name, or email for pickers. Returns names, contact email, currency, and the last invoice date.

`GET | POST /api/v1/accounting/parties.search`

Permissions: `accounting:read` · Roles: admin, finance

MCP tool: `accounting_parties_search`

## Fields

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `query` | string |  | Text to search for. at most 200 characters. Default `""`. |
| `includeArchived` | boolean |  | Also include archived records. |
| `limit` | integer |  | How many results to return at most. 1 to 25. Default `10`. |

## Example request

```bash
curl https://app.getoatmilk.com/api/v1/accounting/parties.search \
  -H "Authorization: Bearer $OATMILK_API_KEY"
```

Reference page: https://app.getoatmilk.com/docs/api/parties.search
